Bug 1742926 - search yields duplicate entries
Summary: search yields duplicate entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-17 17:43 UTC by Chris Murphy
Modified: 2020-05-04 08:09 UTC (History)
9 users (show)

Fixed In Version: dnf-4.2.15-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 08:09:07 UTC
Type: Bug


Attachments (Terms of Use)
debugsolver dir (20.00 KB, application/x-tar)
2019-08-17 17:46 UTC, Chris Murphy
no flags Details
dnf search output (3.26 KB, text/plain)
2019-08-17 17:46 UTC, Chris Murphy
no flags Details
dnf -vvv search output (6.70 KB, text/plain)
2019-08-17 17:47 UTC, Chris Murphy
no flags Details
strace dnf search output (4.37 MB, text/plain)
2019-08-17 17:56 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2019-08-17 17:43:59 UTC
Description of problem:

dnf search shows duplicate entries


Version-Release number of selected component (if applicable):
dnf-4.2.7-2.fc30.noarch

How reproducible:
Fedora Server 30, always
Fedora Workstation 30, never

Steps to Reproduce:
1. dnf search cockpit
2.
3.

Actual results:

Multiple exact duplicate lines, e.g.

cockpit.x86_64 : Web Console for Linux servers                                                                                                                
cockpit.x86_64 : Web Console for Linux servers                                                                                                                
cockpit-ws.x86_64 : Cockpit Web Service
cockpit-ws.x86_64 : Cockpit Web Service


Expected results:

One per matching result


Additional info:

Looks like it's showing a result for each repo, @system and updates on Server edition; whereas on Workstation edition it's only showing results from updates?

Both are clean installs about a week after release; both were installed using netinstall, so I can't account for why the systems would differ in this regard.

Server
$ sudo cat /etc/dnf/dnf.conf 
[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=True
$


Workstation is identical, except that install limit is 10.

Comment 1 Chris Murphy 2019-08-17 17:46:42 UTC
Created attachment 1605346 [details]
debugsolver dir

Comment 2 Chris Murphy 2019-08-17 17:46:58 UTC
Created attachment 1605347 [details]
dnf search output

Comment 3 Chris Murphy 2019-08-17 17:47:18 UTC
Created attachment 1605348 [details]
dnf -vvv search output

Comment 4 Chris Murphy 2019-08-17 17:56:33 UTC
Created attachment 1605349 [details]
strace dnf search output

sudo strace -o bug1742926-stracednf.txt dnf search cockpit


This seems awfully verbose, but providing it anyway. All attachments are from the affected system (Server edition).

Comment 5 amatej 2019-08-22 13:22:12 UTC
You are correct it was results for each repo. The difference simply was that cockpit is not installed on workstation by default.

I created a PR: https://github.com/rpm-software-management/dnf/pull/1465
And some tests: https://github.com/rpm-software-management/ci-dnf-stack/pull/593

Comment 6 Fedora Update System 2019-11-11 09:43:12 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 7 Fedora Update System 2019-11-11 09:43:45 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 8 Fedora Update System 2019-11-12 03:07:38 UTC
dnf-4.2.15-1.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 9 Fedora Update System 2019-11-13 04:56:06 UTC
dnf-4.2.15-1.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 10 Fedora Update System 2019-11-14 06:46:52 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 11 Fedora Update System 2019-11-14 06:50:39 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 12 Fedora Update System 2019-11-15 03:45:03 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 13 Fedora Update System 2019-11-15 04:38:36 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 14 Fedora Update System 2019-11-19 01:35:07 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-12-02 19:10:28 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.